This endpoint validates email addresses using two different methods: direct email validation or file-based validation. You can either provide individual email addresses or reference a previously uploaded file.
Validation Methods
Direct Email Validation
File-Based Validation
Validate individual email addresses by providing them directly in the request.
// 1. First upload a file (if not already done)POST /v1/api/filesupload/// Response includes: { "id": 740, "file": "https://s3.../file.csv" }// 2. Then validate the uploaded filePOST /v1/api/email-validation/{ "file_id": 740, "file_tag": "validate", "options": { "validate_smtp": true, "validate_syntax": true, "check_dmarc": true, "validate_mx": true }}
Credits Consumption: Validation consumes credits based on the number of
emails and validation options selected. More comprehensive validation uses
more credits.
Bulk Processing: For validating large lists of emails, use the file-based
approach with the File Upload endpoint for better performance and easier
management.
Authorizations
X-API-KEY
string
header
required
API key for authentication
Body
application/json
Email validation request payload
emails
string<email>[]
Array of email addresses to validate (required for direct validation)
Example:
["test@example.com", "user@domain.com"]
file_id
integer
ID of the uploaded file (obtained from file upload response) - required for file-based validation
Example:
740
options
object
Validation options
Show child attributes
file_tag
enum<string>
Tag for categorizing the file processing type (required when using file_id)
Available options:
clean,
validate,
analyze
Example:
"validate"
Response
Email validation results
results
object[]
Show child attributes
stats
object
Show child attributes
file_id
string | null
File ID for batch processing
credits_used
integer
Number of credits consumed
remaining_processing
integer
Remaining emails to process
batch_size
integer
Size of the current batch
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Sanitize Email API Docs","colors":{"primary":"#7f56d9","light":"#7f56d9","dark":"#7f56d9"},"logo":{"light":"https://mintcdn.com/sanitizeemail/FMqKL5b2i6-mwdGF/logo/light.svg?fit=max\u0026auto=format\u0026n=FMqKL5b2i6-mwdGF\u0026q=85\u0026s=46346baef74643b10ebb614be40687b2","dark":"https://mintcdn.com/sanitizeemail/FMqKL5b2i6-mwdGF/logo/dark.svg?fit=max\u0026auto=format\u0026n=FMqKL5b2i6-mwdGF\u0026q=85\u0026s=f543e50a0ef69e0fd7a3f9b7a924656e"},"favicon":"/favicon.svg","navbar":{"links":[{"label":"Support","href":"mailto:support@sanitizeemail.com"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.sanitizeemail.com/"}},"footer":{"socials":{"x":"https://x.com/sanitizeemailX","linkedin":"https://www.linkedin.com/company/sanitizeemail","instagram":"https://www.instagram.com/sanitizeemail","youtube":"https://www.youtube.com/@SanitizeEmail","facebook":"https://www.facebook.com/sanitizeemail"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sanitizeemail","hasAudioNarration":false,"actualSubdomain":"sanitizeemail","customDomains":["docs.sanitizeemail.com"],"gitSource":{"type":"github","owner":"vrittech","repo":"sanitize-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae92ac0ab814ccd6585676f:success","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"API Reference","count":11},{"language":"default","tag":"Validation endpoints","count":3},{"language":"default","tag":"File endpoints","count":3},{"language":"default","tag":"Get Results","count":2},{"language":"default","tag":"Download Results","count":2},{"language":"default","tag":"Guides","count":2},{"language":"default","tag":"Get Started","count":2},{"language":"default","tag":"API Documentation","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".dark select,.dark .select-field,[data-theme=\"dark\"] select{background-color:#0b0b0f!important;color:#f9fafb!important;border:1px solid #191922!important}.dark select option,[data-theme=\"dark\"] select option{background-color:#0b0b0f!important;border-radius:10px;color:#f9fafb!important}.dark select:focus,[data-theme=\"dark\"] select:focus{border-color:#7f56d9!important;box-shadow:0 0 0 1px #7f56d9!important}.dark .api-playground select,[data-theme=\"dark\"] .api-playground select{background-color:#111827!important;border-color:#4b5563!important}"}],"page":{"pagePath":"api-reference/endpoint/validate_emails","slug":"/api-reference/endpoint/validate_emails","pageMetadata":{"title":"Validate Emails","openapi":"POST /v1/api/email-validation/","description":"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks","href":"/api-reference/endpoint/validate_emails","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Note,Step,Steps,Tab,Tabs,Tip,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Step)_missingMdxReference(`Step`,true);if(!Steps)_missingMdxReference(`Steps`,true);if(!Tab)_missingMdxReference(`Tab`,true);if(!Tabs)_missingMdxReference(`Tabs`,true);if(!Tip)_missingMdxReference(`Tip`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This endpoint validates email addresses using two different methods: direct email validation or file-based validation. You can either provide individual email addresses or reference a previously uploaded file.`}),`\n`,_jsx(Heading,{level:`2`,id:`validation-methods`,children:`Validation Methods`}),`\n`,_jsxs(Tabs,{children:[_jsxs(Tab,{title:`Direct Email Validation`,id:`direct-email-validation`,children:[_jsx(_components.p,{children:`Validate individual email addresses by providing them directly in the request.`}),_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"emails\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"test@example.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"user@domain.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_smtp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_syntax\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"check_dmarc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_mx\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),_jsxs(Tab,{title:`File-Based Validation`,id:`file-based-validation`,children:[_jsx(_components.p,{children:`Validate emails from a previously uploaded file using the file ID.`}),_jsx(CodeBlock,{filename:``,numberOfLines:`10`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"file_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`740`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"file_tag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"validate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_smtp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_syntax\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"check_dmarc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_mx\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`how-it-works`,children:`How it Works`}),`\n`,_jsxs(Steps,{children:[_jsx(Step,{title:`Choose Validation Method`,children:_jsx(_components.p,{children:`Decide whether to validate individual emails directly or use a file-based\napproach`})}),_jsx(Step,{title:`For File-Based: Upload File First (Optional)`,children:_jsxs(_components.p,{children:[`If using file-based validation, first upload your CSV or XLSX file using the\n`,_jsx(_components.a,{href:`/api-reference/endpoint/file_upload`,children:`File Upload endpoint`}),` to obtain the\n`,_jsx(_components.code,{children:`file_id`})]})}),_jsx(Step,{title:`Configure Validation Options`,children:_jsx(_components.p,{children:`Set your desired validation options (syntax, DMARC, SMTP, MX records)`})}),_jsx(Step,{title:`Submit Validation Request`,children:_jsxs(_components.p,{children:[`Send either `,_jsx(_components.code,{children:`emails`}),` array OR `,_jsx(_components.code,{children:`file_id`}),` (not both)`]})}),_jsx(Step,{title:`Receive Results`,children:_jsx(_components.p,{children:`Get validation results for the submitted emails`})})]}),`\n`,_jsx(Heading,{level:`2`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Either/Or Requirement`}),`: You must provide either `,_jsx(_components.code,{children:`emails`}),` OR `,_jsx(_components.code,{children:`file_id`}),`, but\nnot both in the same request.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`direct-email-validation`,children:`Direct Email Validation`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`emails`}),`: Array of email addresses to validate`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`options`}),`: Validation options object`]}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`file-based-validation`,children:`File-Based Validation`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`file_id`}),`: ID from a previously uploaded file`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`file_tag`}),`: Tag for categorizing the validation type`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`options`}),`: Validation options object`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`validation-options`,children:`Validation Options`}),`\n`,_jsx(_components.p,{children:`Configure which validation checks to perform:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`validate_syntax`}),`: Checks email format and structure (default: true)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`validate_smtp`}),`: Performs SMTP server validation (default: false)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`check_dmarc`}),`: Validates DMARC policy records (default: false)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`validate_mx`}),`: Checks MX record existence (default: false)`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`example-workflows`,children:`Example Workflows`}),`\n`,_jsx(Heading,{level:`3`,id:`direct-email-validation-2`,children:`Direct Email Validation`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`10`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`POST /v`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`/api/email-validation/`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"emails\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"john@example.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sarah@company.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_syntax\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_smtp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"check_dmarc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_mx\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`file-based-validation-2`,children:`File-Based Validation`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`16`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`16`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// 1. First upload a file (if not already done)`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`POST /v`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`/api/filesupload/`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Response includes: { \"id\": 740, \"file\": \"https://s3.../file.csv\" }`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// 2. Then validate the uploaded file`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`POST /v`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`/api/email-validation/`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"file_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`740`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"file_tag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"validate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_smtp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_syntax\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"check_dmarc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validate_mx\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Credits Consumption`}),`: Validation consumes credits based on the number of\nemails and validation options selected. More comprehensive validation uses\nmore credits.`]})}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Bulk Processing`}),`: For validating large lists of emails, use the file-based\napproach with the File Upload endpoint for better performance and easier\nmanagement.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Validate Emails","openapi":"POST /v1/api/email-validation/","description":"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks","href":"/api-reference/endpoint/validate_emails","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Validation Methods","slug":"validation-methods","depth":2,"children":[]},{"title":"How it Works","slug":"how-it-works","depth":2,"children":[]},{"title":"Request Parameters","slug":"request-parameters","depth":2,"children":[{"title":"Direct Email Validation","slug":"direct-email-validation","depth":3,"children":[]},{"title":"File-Based Validation","slug":"file-based-validation","depth":3,"children":[]}]},{"title":"Validation Options","slug":"validation-options","depth":2,"children":[]},{"title":"Example Workflows","slug":"example-workflows","depth":2,"children":[{"title":"Direct Email Validation","slug":"direct-email-validation-2","depth":3,"children":[]},{"title":"File-Based Validation","slug":"file-based-validation-2","depth":3,"children":[]}]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Validate Email Addresses","description":"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks","tags":["Email Validation"],"requestBody":"9706bb13-6209-47f9-a2ff-e1773be4e609","responses":{"200":"71bb00d0-daaa-40f0-a4cb-c111a6c55818","400":"e41f6d3e-c5e1-41d9-8935-32d9fc7afa10","401":"40ae835e-4647-4977-9ef7-0510f8bb6205","403":"3addc27d-ebcb-4b5d-b028-1350f83d13a1","429":"54a752ee-f175-49cf-a828-2779c98d249d"},"method":"post","type":"path","servers":["ca31efd6-2adb-4d0e-9d40-4acd0d3193b1"],"security":["6b03ea10-a856-4a37-a66c-71bc344a78c8"],"path":"/v1/api/email-validation/","baseUrlOptions":["https://base.sanitizeemail.com"],"title":"Validate Email Addresses","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"description":"Email validation request payload","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"emails":{"type":"array","description":"Array of email addresses to validate (required for direct validation)","items":{"type":"string","format":"email","uniqueKey":"emails.items.[INDEX]","typeLabel":"string\u003cemail>"},"example":["test@example.com","user@domain.com"],"uniqueKey":"emails","typeLabel":"string\u003cemail>[]"},"file_id":{"type":"integer","description":"ID of the uploaded file (obtained from file upload response) - required for file-based validation","example":740,"uniqueKey":"file_id","typeLabel":"integer"},"options":{"type":"object","description":"Validation options","properties":{"validate_smtp":{"type":"boolean","description":"Whether to perform SMTP validation","default":false,"uniqueKey":"options.validate_smtp","typeLabel":"boolean"},"validate_syntax":{"type":"boolean","description":"Whether to validate email syntax","default":true,"uniqueKey":"options.validate_syntax","typeLabel":"boolean"},"check_dmarc":{"type":"boolean","description":"Whether to check DMARC records","default":false,"uniqueKey":"options.check_dmarc","typeLabel":"boolean"},"validate_mx":{"type":"boolean","description":"Whether to validate MX records","default":false,"uniqueKey":"options.validate_mx","typeLabel":"boolean"}},"uniqueKey":"options","typeLabel":"object"},"file_tag":{"type":"string","enum":["clean","validate","analyze"],"description":"Tag for categorizing the file processing type (required when using file_id)","example":"validate","uniqueKey":"file_tag","typeLabel":"enum\u003cstring>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"emails":["test@example.com","user@domain.com"],"file_id":740,"options":{"validate_smtp":false,"validate_syntax":true,"check_dmarc":false,"validate_mx":false},"file_tag":"validate"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"71bb00d0-daaa-40f0-a4cb-c111a6c55818":{"description":"Email validation results","content":{"application/json":{"schema":{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","properties":{"email":{"type":"string","description":"The validated email address","uniqueKey":"results.items.[INDEX].email","typeLabel":"string"},"status":{"type":"string","enum":["valid","invalid","unknown"],"description":"Overall validation status","uniqueKey":"results.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"reason":{"type":"object","properties":{"format":{"type":"object","properties":{"status":{"type":"string","enum":["pass","fail","skipped"],"description":"Status of the specific check","uniqueKey":"results.items.[INDEX].reason.format.status","typeLabel":"enum\u003cstring>"},"reason":{"type":"string","description":"Detailed reason for the check result","uniqueKey":"results.items.[INDEX].reason.format.reason","typeLabel":"string"}},"uniqueKey":"results.items.[INDEX].reason.format","typeLabel":"object"},"dns":{"type":"object","properties":{"status":{"type":"string","enum":["pass","fail","skipped"],"description":"Status of the specific check","uniqueKey":"results.items.[INDEX].reason.dns.status","typeLabel":"enum\u003cstring>"},"reason":{"type":"string","description":"Detailed reason for the check result","uniqueKey":"results.items.[INDEX].reason.dns.reason","typeLabel":"string"}},"uniqueKey":"results.items.[INDEX].reason.dns","typeLabel":"object"},"mx":{"type":"object","properties":{"status":{"type":"string","enum":["pass","fail","skipped"],"description":"Status of the specific check","uniqueKey":"results.items.[INDEX].reason.mx.status","typeLabel":"enum\u003cstring>"},"reason":{"type":"string","description":"Detailed reason for the check result","uniqueKey":"results.items.[INDEX].reason.mx.reason","typeLabel":"string"}},"uniqueKey":"results.items.[INDEX].reason.mx","typeLabel":"object"},"smtp":{"type":"object","properties":{"status":{"type":"string","enum":["pass","fail","skipped"],"description":"Status of the specific check","uniqueKey":"results.items.[INDEX].reason.smtp.status","typeLabel":"enum\u003cstring>"},"reason":{"type":"string","description":"Detailed reason for the check result","uniqueKey":"results.items.[INDEX].reason.smtp.reason","typeLabel":"string"}},"uniqueKey":"results.items.[INDEX].reason.smtp","typeLabel":"object"},"dmarc":{"type":"object","properties":{"status":{"type":"string","enum":["pass","fail","skipped"],"description":"Status of the specific check","uniqueKey":"results.items.[INDEX].reason.dmarc.status","typeLabel":"enum\u003cstring>"},"reason":{"type":"string","description":"Detailed reason for the check result","uniqueKey":"results.items.[INDEX].reason.dmarc.reason","typeLabel":"string"}},"uniqueKey":"results.items.[INDEX].reason.dmarc","typeLabel":"object"}},"uniqueKey":"results.items.[INDEX].reason","typeLabel":"object"},"normalized_email":{"type":"string","description":"Normalized version of the email","uniqueKey":"results.items.[INDEX].normalized_email","typeLabel":"string"},"is_disposable":{"type":"boolean","description":"Whether the email is from a disposable email service","uniqueKey":"results.items.[INDEX].is_disposable","typeLabel":"boolean"},"is_role_account":{"type":"boolean","description":"Whether the email is a role-based account","uniqueKey":"results.items.[INDEX].is_role_account","typeLabel":"boolean"},"mx_records":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].mx_records.items.[INDEX]","typeLabel":"string"},"description":"MX records for the domain","uniqueKey":"results.items.[INDEX].mx_records","typeLabel":"string[]"}},"uniqueKey":"results.items.[INDEX]","typeLabel":"object"},"uniqueKey":"results","typeLabel":"object[]"},"stats":{"type":"object","properties":{"total":{"type":"integer","description":"Total emails processed","uniqueKey":"stats.total","typeLabel":"integer"},"valid":{"type":"integer","description":"Number of valid emails","uniqueKey":"stats.valid","typeLabel":"integer"},"invalid":{"type":"integer","description":"Number of invalid emails","uniqueKey":"stats.invalid","typeLabel":"integer"},"disposable":{"type":"integer","description":"Number of disposable emails","uniqueKey":"stats.disposable","typeLabel":"integer"},"role_accounts":{"type":"integer","description":"Number of role-based accounts","uniqueKey":"stats.role_accounts","typeLabel":"integer"}},"uniqueKey":"stats","typeLabel":"object"},"file_id":{"oneOf":[{"type":"string","description":"File ID for batch processing","uniqueKey":"file_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"File ID for batch processing","uniqueKey":"file_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"file_id","typeLabel":"string | null"},"credits_used":{"type":"integer","description":"Number of credits consumed","uniqueKey":"credits_used","typeLabel":"integer"},"remaining_processing":{"type":"integer","description":"Remaining emails to process","uniqueKey":"remaining_processing","typeLabel":"integer"},"batch_size":{"type":"integer","description":"Size of the current batch","uniqueKey":"batch_size","typeLabel":"integer"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"results":[{"email":"\u003cstring>","status":"valid","reason":{"format":{"status":"pass","reason":"\u003cstring>"},"dns":{"status":"pass","reason":"\u003cstring>"},"mx":{"status":"pass","reason":"\u003cstring>"},"smtp":{"status":"pass","reason":"\u003cstring>"},"dmarc":{"status":"pass","reason":"\u003cstring>"}},"normalized_email":"\u003cstring>","is_disposable":true,"is_role_account":true,"mx_records":["\u003cstring>"]}],"stats":{"total":123,"valid":123,"invalid":123,"disposable":123,"role_accounts":123},"file_id":"\u003cstring>","credits_used":123,"remaining_processing":123,"batch_size":123}}},"exampleType":"generated"}},"exampleType":"generated"},"e41f6d3e-c5e1-41d9-8935-32d9fc7afa10":{"description":"Bad request - Invalid payload","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":123,"message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"40ae835e-4647-4977-9ef7-0510f8bb6205":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":123,"message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"3addc27d-ebcb-4b5d-b028-1350f83d13a1":{"description":"Forbidden - Invalid or inactive API key","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Invalid or inactive API key"},"examples":{"Example":{"title":"Example","value":{"error":"Invalid or inactive API key"}}},"exampleType":"examples"}},"exampleType":"examples"},"54a752ee-f175-49cf-a828-2779c98d249d":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":123,"message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"6b03ea10-a856-4a37-a66c-71bc344a78c8":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API key for authentication","scopes":[]}}},"servers":{"ca31efd6-2adb-4d0e-9d40-4acd0d3193b1":{"url":"https://base.sanitizeemail.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API key for authentication","scopes":[]},"schema":{"title":"X-API-KEY","type":"string","description":"API key for authentication","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"X-API-KEY"}],"title":"apiKeyAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"sanitizeemail","siteName":"Sanitize Email API Docs","title":"Validate Emails - Sanitize Email API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T09:46:39.517Z","originalFileLocation":"api-reference/endpoint/validate_emails.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks\">\u003cmeta data-mint-head name=\"application-name\" content=\"Sanitize Email API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Validate Emails - Sanitize Email API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Sanitize Email API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sanitizeemail.mintlify.site/_mintlify/api/og/v2?division=Validation+endpoints\u0026amp;title=Validate+Emails\u0026amp;description=Validate+one+or+more+email+addresses+for+syntax%2C+domain%2C+deliverability%2C+and+SMTP+checks\u0026amp;theme=9d04777a0ebfbd0878ebcbed\u0026amp;signature=e02c18eb9eded2a8bcc103bc5403abba93488842d414039fc838d6e85c3d0c54\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Validate Emails - Sanitize Email API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sanitizeemail.mintlify.site/_mintlify/api/og/v2?division=Validation+endpoints\u0026amp;title=Validate+Emails\u0026amp;description=Validate+one+or+more+email+addresses+for+syntax%2C+domain%2C+deliverability%2C+and+SMTP+checks\u0026amp;theme=9d04777a0ebfbd0878ebcbed\u0026amp;signature=e02c18eb9eded2a8bcc103bc5403abba93488842d414039fc838d6e85c3d0c54\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/sanitizeemail/_GQ_575T0N5dLEtb/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Sanitize Email API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7f56d9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/validate_emails.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.sanitizeemail.com/#organization\",\"name\":\"Sanitize Email API Docs\",\"url\":\"https://docs.sanitizeemail.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/sanitizeemail/FMqKL5b2i6-mwdGF/logo/light.svg?fit=max\u0026auto=format\u0026n=FMqKL5b2i6-mwdGF\u0026q=85\u0026s=46346baef74643b10ebb614be40687b2\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.sanitizeemail.com#website\",\"name\":\"Sanitize Email API Docs\",\"url\":\"https://docs.sanitizeemail.com\",\"publisher\":{\"@id\":\"https://docs.sanitizeemail.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails#webpage\",\"url\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails\",\"name\":\"Validate Emails\",\"description\":\"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks\",\"dateModified\":\"2026-01-07T09:46:39.517Z\",\"isPartOf\":{\"@id\":\"https://docs.sanitizeemail.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Validation endpoints\",\"item\":\"https://docs.sanitizeemail.com/api-reference/endpoint/analyze_list\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Validate Emails\",\"item\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails#apireference\",\"headline\":\"Validate Emails\",\"name\":\"Validate Emails\",\"description\":\"Validate one or more email addresses for syntax, domain, deliverability, and SMTP checks\",\"url\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails\",\"mainEntityOfPage\":{\"@id\":\"https://docs.sanitizeemail.com/api-reference/endpoint/validate_emails#webpage\"},\"dateModified\":\"2026-01-07T09:46:39.517Z\",\"publisher\":{\"@id\":\"https://docs.sanitizeemail.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.sanitizeemail.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Sanitize Email API Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Sanitize Email API Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/endpoint/validate_emails.md","siteName":"Sanitize Email API Docs","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"File endpoints","pages":[{"title":"Upload CSV or XLSX","openapi":"POST /v1/api/filesupload/","href":"/api-reference/endpoint/file_upload"},{"title":"List Uploaded Files","openapi":"GET /v1/api/filesupload/","href":"/api-reference/endpoint/view_all_files"},{"title":"View File Details","openapi":"GET /v1/api/filesupload/{file_id}","href":"/api-reference/endpoint/view_file"}]},{"group":"Validation endpoints","pages":[{"title":"Analyze Email List","openapi":"POST /v1/api/filesupload/analyze-list/","description":"Analyze an uploaded email list to get a close estimate of the bounce rate. This analysis provides a nearly accurate result without requiring any credits, making it a free way to gauge list quality before committing to a full cleaning.","href":"/api-reference/endpoint/analyze_list"},{"title":"Validate Emails","openapi":"POST /v1/api/email-validation/","href":"/api-reference/endpoint/validate_emails"},{"title":"Clean Email List","openapi":"POST /v1/api/cleanemail/","description":"Process and clean an uploaded email list file with comprehensive validation options","href":"/api-reference/endpoint/clean_list"}]},{"group":"Get Results","pages":[{"title":"View Clean List Results","openapi":"GET /v1/api/cleanedemail/","href":"/api-reference/endpoint/clean_list_result"},{"title":"View Validation Results","openapi":"GET /v1/api/email-validation/","href":"/api-reference/endpoint/validation_result"}]},{"group":"Download Results","pages":[{"title":"Download Clean List","openapi":"GET /v1/api/cleanedemail/download-cleaned-emails/","href":"/api-reference/endpoint/download_clean_list"},{"title":"Download Validation Results","openapi":"GET /v1/api/email-validation/download-validation-results/","href":"/api-reference/endpoint/download_validated_list"}]}]}]},"basePath":"","title":"Validate Emails - Sanitize Email API Docs","buildId":"dpl_Fyv1NbzwP68g2bEH2Roy98uY1zmE","deploymentId":"dpl_Fyv1NbzwP68g2bEH2Roy98uY1zmE","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DdEMm2kG.js","utils-BMo572L7.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-C-4m9KAx.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DPLK2Oq9.js","snippetPresets-BKjfJMC9.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-DTsgtCEj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C8vmhyQM.js","shallow-r9w8LQGS.js","getApiPlaygroundDisplay-DjPI64HQ.js","CodeSnippet-C8Bvhl16.js","CodeSnippets-BtWUwcMy.js","Page-BIYvYBgk.js","getPastedJson-Dcm_3Pgl.js","icon-BXwrTpjc.js","MethodPill-CcjfVmmy.js","DuplicateIcon-BuKIbXAQ.js","createIcon-DaL9yXsO.js","DynamicMarkdown-Co5nikxh.js","SectionHeading-P4UNTsMZ.js","axios-vUo_bRtp.js","Markdown-CEfymfIH.js","clsx-Dq9TQuNi.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-D2J8knkn.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BgZ2ThuU.js"]}